package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class DrpSmMaterialInquiryPageVO {
   @ApiModelProperty("货品招标单号")
   private String materialInquiryId;
   @ApiModelProperty("货品招标标题")
   private String materialInquiryTitle;
   @ApiModelProperty("货品招标供应商主键id")
   private Long materialInquirySupplierId;
   @ApiModelProperty("报价开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("决标状态(3-已中标,4-未中标)")
   private Integer bidStatus;
   @ApiModelProperty("联系人")
   private String linkMan;
   @ApiModelProperty("联系电话")
   private String linkPhone;
   @ApiModelProperty("已发起意向中标价状态（1已发起,2未发起）")
   private String targetPriceStatus;
   @ApiModelProperty("供应商意向中标状态(3接受4拒绝)")
   private Integer smTargetPriceStatus;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   private String updateBy;
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   @ApiModelProperty("货品招标明细")
   private List<DrpSmMaterialInquiryPageDetailVO> detailList;
   @ApiModelProperty("图片")
   List<DrpQuoteInquiryPicVO> drpQuoteInquiryPics;
   @ApiModelProperty("报价截止时间")
   private LocalDateTime quoteEndTime;
   @ApiModelProperty("公告")
   private String announcement;
   @ApiModelProperty("招标结束时间")
   private LocalDateTime tenderEndTime;
   @ApiModelProperty("招标开始时间")
   private LocalDateTime tenderStartTime;

   public String getMaterialInquiryId() {
      return this.materialInquiryId;
   }

   public String getMaterialInquiryTitle() {
      return this.materialInquiryTitle;
   }

   public Long getMaterialInquirySupplierId() {
      return this.materialInquirySupplierId;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public Integer getBidStatus() {
      return this.bidStatus;
   }

   public String getLinkMan() {
      return this.linkMan;
   }

   public String getLinkPhone() {
      return this.linkPhone;
   }

   public String getTargetPriceStatus() {
      return this.targetPriceStatus;
   }

   public Integer getSmTargetPriceStatus() {
      return this.smTargetPriceStatus;
   }

   public String getRemark() {
      return this.remark;
   }

   public List<DrpSmMaterialInquiryPageDetailVO> getDetailList() {
      return this.detailList;
   }

   public List<DrpQuoteInquiryPicVO> getDrpQuoteInquiryPics() {
      return this.drpQuoteInquiryPics;
   }

   public LocalDateTime getQuoteEndTime() {
      return this.quoteEndTime;
   }

   public String getAnnouncement() {
      return this.announcement;
   }

   public LocalDateTime getTenderEndTime() {
      return this.tenderEndTime;
   }

   public LocalDateTime getTenderStartTime() {
      return this.tenderStartTime;
   }

   public DrpSmMaterialInquiryPageVO setMaterialInquiryId(final String materialInquiryId) {
      this.materialInquiryId = materialInquiryId;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setMaterialInquiryTitle(final String materialInquiryTitle) {
      this.materialInquiryTitle = materialInquiryTitle;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setMaterialInquirySupplierId(final Long materialInquirySupplierId) {
      this.materialInquirySupplierId = materialInquirySupplierId;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setBidStatus(final Integer bidStatus) {
      this.bidStatus = bidStatus;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setLinkMan(final String linkMan) {
      this.linkMan = linkMan;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setLinkPhone(final String linkPhone) {
      this.linkPhone = linkPhone;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setTargetPriceStatus(final String targetPriceStatus) {
      this.targetPriceStatus = targetPriceStatus;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setSmTargetPriceStatus(final Integer smTargetPriceStatus) {
      this.smTargetPriceStatus = smTargetPriceStatus;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setRemark(final String remark) {
      this.remark = remark;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setDetailList(final List<DrpSmMaterialInquiryPageDetailVO> detailList) {
      this.detailList = detailList;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setDrpQuoteInquiryPics(final List<DrpQuoteInquiryPicVO> drpQuoteInquiryPics) {
      this.drpQuoteInquiryPics = drpQuoteInquiryPics;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setQuoteEndTime(final LocalDateTime quoteEndTime) {
      this.quoteEndTime = quoteEndTime;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setAnnouncement(final String announcement) {
      this.announcement = announcement;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setTenderEndTime(final LocalDateTime tenderEndTime) {
      this.tenderEndTime = tenderEndTime;
      return this;
   }

   public DrpSmMaterialInquiryPageVO setTenderStartTime(final LocalDateTime tenderStartTime) {
      this.tenderStartTime = tenderStartTime;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpSmMaterialInquiryPageVO setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public DrpSmMaterialInquiryPageVO setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public DrpSmMaterialInquiryPageVO setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public DrpSmMaterialInquiryPageVO setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }
}
